# atomic_init

From cppreference.com
< c‎ | atomic

Defined in header `<stdatomic.h>` |  |
void atomic_init( volatile A* obj, C desired ); |  | (since C11)

Initializes the default-constructed atomic object `obj` with the value `desired`. The function is not atomic: concurrent access from another thread, even through an atomic operation, is a data race.

This is a generic function defined for all atomic object types `A`. The argument is pointer to a volatile atomic type to accept addresses of both non-volatile and volatile (e.g. memory-mapped I/O) atomic variables.`C` is the non-atomic type corresponding to `A`.

### Parameters

obj | - | pointer to an atomic object to initialize
desired | - | the value to initialize atomic object with

### Return value

(none)

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.17.2.2 The atomic_init generic function (p: 274-275)

### See also

ATOMIC_VAR_INIT (C11)(deprecated in C17) | initializes a new atomic object (function macro)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/atomic/atomic_init&oldid=85254"